package com.njyunzhi.nanyang.entity;

//import io.swagger.annotations.ApiModel;
//import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

 /**
 * 地理位置;
 * @author : http://www.chiner.pro
 * @date : 2023-4-15
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
// @ApiModel(value = "地理位置",description = "")
@TableName("ta_location")
public class TaLocation implements Serializable,Cloneable{
    /** 序号 */
    // @ApiModelProperty(name = "序号",notes = "")
    @TableId(value = "serial_no", type = IdType.INPUT)
    private Integer serialNo ;
    /** 经纬度;lng,lat gcj02 */
    // @ApiModelProperty(name = "经纬度",notes = "lng,lat gcj02")
    private String location ;
    /** 地址 */
    // @ApiModelProperty(name = "地址",notes = "")
    private String address ;
    /** 国家 */
    // @ApiModelProperty(name = "国家",notes = "")
    private String country ;
    /** 省份 */
    // @ApiModelProperty(name = "省份",notes = "")
    private String province ;
    /** 城市编码 */
    // @ApiModelProperty(name = "城市编码",notes = "")
    private String cityCode ;
    /** 城市名称 */
    // @ApiModelProperty(name = "城市名称",notes = "")
    private String city ;
    /** 区县 */
    // @ApiModelProperty(name = "区县",notes = "")
    private String district ;
    /** 地区编码 */
    // @ApiModelProperty(name = "地区编码",notes = "")
    private String adcode ;
    /** 城镇/街道/社区 */
    // @ApiModelProperty(name = "城镇/街道/社区",notes = "")
    private String town ;
    /** 城镇编码 */
    // @ApiModelProperty(name = "城镇编码",notes = "")
    private String townCode ;

}